Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

LISP to create a two line MLEADER

2 REPLIES 2
Reply
Message 1 of 3
bdsmls
626 Views, 2 Replies

LISP to create a two line MLEADER

I'm trying to write a lisp routine to create a two line MLEADER but i can only get one line of text. Creating the MLEADER manually from the command line i just have to hit enter after the first line of text to add a second line. How would i do this in a lisp routine?

 

Larry

2 REPLIES 2
Message 2 of 3
Hallex
in reply to: bdsmls

Hi, Larry

Try this routine, set your text before:

(defun C:demo(/)
(setq txt "Blah\\PBlah\\PBlah");<-- set mleader text here
(princ "Type any character in the mtext window")
(command "_mleader" "_O" "_C" "_M" "_A" "_Y" "" "_X"  "_L" "_C" pause pause pause)
(setq ee (entget (setq en (entlast))))
(setq ee (subst (cons 304 txt)(assoc 304 ee) ee))
  (entmod ee)
  (entupd en)
  (command "_mleaderedit" "_L" "" "_A" (getpoint ) "")
  (princ)
  )

 

~'J'~

_____________________________________
C6309D9E0751D165D0934D0621DFF27919
Message 3 of 3
bdsmls
in reply to: Hallex

thanks for the response J

i just came up with a solution on friday thats works very nicely

 

(SETQ TELE(STRCAT TPFIX (RTOS TLV 4 2)))

(SETQ BELE(STRCAT BPFIX (RTOS BLV 4 2)))

(SETQ DUCEL(STRCAT TELE (CHR 10) BELE))

(COMMAND "MLEADER" BPT PAUSE DUCEL)

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost